# Uses of Class
org.eclipse.ui.menus.UIElement

Packages that use UIElement
Package
Description
org.eclipse.ui.commands
Provides support for retrieving information on Commands from the workbench.

## Uses of UIElement in org.eclipse.ui.commands

Methods in org.eclipse.ui.commands that return UIElement
Modifier and Type
Method
Description
`UIElement`
IElementReference.`getElement()`
The callback that was registered.
Methods in org.eclipse.ui.commands with parameters of type UIElement
Modifier and Type
Method
Description
`IElementReference`
ICommandService.`registerElementForCommand(ParameterizedCommand command, UIElement element)`
Register that this element accepts callbacks for this parameterized command.
`void`
IElementUpdater.`updateElement(UIElement element, Map parameters)`
Whenever the elements for a command are refreshed, this method is called on the active handler for that command.